Skip to navigation

Create bulk send list

View as Markdown

This method creates a bulk send list that you can use to send an envelope to up to 1,000 recipients at once.

Errors

Error codeDescription
BULK_SEND_MAX_COPIES_EXCEEDEDA bulk sending list cannot specify more than XXX copies in the mailing list. Call the settings API endpoint to find the maximum number of copies in a batch allowed for your account. In almost all cases, the default limit is 1000.
BULK_SEND_RECIPIENT_IDS_MUST_BE_UNIQUENo two recipientIds can be same within a bulkCopy. Same restriction as a regular envelope applies. Specify unique recipient IDs for each recipient within a bulkCopy (model for envelope in mailing list).
BULK_SEND_RECIPIENT_ID_REQUIREDIf no RoleName is present, recipientID is required in mailing list’s bulkCopy. Add a roleName (that coalesces with template/envelope) or a recipientID.
BULK_SEND_RECIPIENT_NAME_REQUIREDRecipient {0} has no name. Specify a name for the recipient.
BULK_SEND_EMAIL_ADDRESS_REQUIRED_FOR_EMAIL_RECIPIENTRecipient {0} is an email recipient with no email address. Specify an email for the email recipient.
BULK_SEND_FAX_NUMBER_REQUIRED_FOR_FAX_RECIPIENTRecipient {0} is a fax recipient with no fax number. Specify a fax number for the fax recipient.
BULK_SEND_FAX_NUMBER_NOT_VALIDRecipient {0} specifies fax number {1}, which is not valid. Specify a valid fax number for the fax recipient.
BULK_SEND_EMAIL_ADDRESS_NOT_VALIDRecipient {0} specifies email address {1}, which is not a valid email address. Specify a valid email address for the recipient.
BULK_SEND_PHONE_NUMBER_REQURED_FOR_SMS_AUTHRecipient {0} specifies SMS auth, but no number was provided. Specify a phone number for the SMS auth recipient.
BULK_SEND_PHONE_NUMBER_INVALID_FOR_SMS_AUTHRecipient {0} specifies phone number {1} for SMS auth, which is not valid. Specify a valid phone number for the SMS auth recipient.
BULK_SEND_ROLE_NAMES_MUST_BE_UNIQUERecipient role names cannot be duplicated; role {duplicateRecipientRole} appears multiple times. Use unique roleNames for recipients.
BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_ON_SAME_RECIPIENTRecipients cannot have both ID and Role; {0} has both. Specify a roleName or recipientId, but not both for the same recipient.
BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_IN_SAME_LISTCannot use both recipient role and ID in the same list. Specify a roleName or recipientId, but not both in the same list.
BULK_SEND_INVALID_ID_CHECK_CONFIGURATIONRecipient {0} specified SMS authentication, but no SMS auth settings were provided. Provide an SMS auth setting (proper ID configuration) if SMS auth is specified.
BULK_SEND_INVALID_SBS_INPUT_CONFIGURATIONRecipient {0} has more than one signature provider specified. Or signingProviderName is not specified. Or Signature provider : {0} is either unknown or not an available pen for this account. One or more SBS configuration is missing or invalid. The error details provide specifics.
BULK_SEND_TAB_LABELS_MUST_BE_UNIQUETab label {0} is duplicated. Needs to be unique. Use a unique tab label.
BULK_SEND_TAB_LABEL_REQUIREDTab label is required. Specify a tab label.
BULK_SEND_TAB_VALUE_REQUIREDTab Label value is required. Specify a value for the tab label.
BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_MUST_BE_UNIQUECustom fields must have distinct names. The field {0} appears more than once in a copy. Use unique names for custom fields.
BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_REQUIREDAll custom fields must have names. Specify a name for the custom field.
BULK_SEND_ENVELOPE_CUSTOM_FIELD_VALUE_REQUIREDCustom field {0} has no value. A custom field can have an empty value, but it cannot have a null value. Specify a value for the custom field.
BULK_SEND_ENVELOPE_PREFILL_TAB_NAME_MUST_BE_UNIQUEPrefill tabs must have distinct names. The field {0} appears more than once in a copy.
BULK_SEND_ENVELOPE_PREFILL_TAB_NAME_REQUIREDAll prefill tabs must have names.
BULK_SEND_ENVELOPE_PREFILL_TAB_VALUE_REQUIREDPrefill tab {0} has no value. A prefill tab can have an empty value, but it cannot have a null value.
BULK_SEND_ENVELOPE_HAS_NO_ENVELOPE_PREFILL_TABSBulk sending list contains prefill tabs, but the specified envelope does not.
BULK_SEND_ENVELOPE_PREFILL_TAB_DOES_NOT_EXIST_IN_ENVELOPEPrefillTab {0} does not exist in the envelope.
BULK_SEND_ENVELOPE_PREFILL_TAB_NAME_DOES_NOT_MATCHPrefillTab names must match. {0} and {1} do not match.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired
The ID of the account.

Request

This endpoint expects an object: bulkSendingList

bulkCopieslist of objectsOptional

An array of bulkCopy objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.

listIdstringOptional
The GUID of the bulk send list.
namestringOptional
The name of the bulk send list.

Response

Successful response.
bulkCopieslist of objectsOptional

An array of bulkCopy objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.

listIdstringOptional
The GUID of the bulk send list.
namestringOptional
The name of the bulk send list.

Errors

400
Bad Request Error